Bug 239700 - kword:msoffice2000: Picture as hyperlink does not work in kword
Summary: kword:msoffice2000: Picture as hyperlink does not work in kword
Status: VERIFIED FIXED
Alias: None
Product: calligrawords
Classification: Unclassified
Component: doc (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR normal (vote)
Target Milestone: ---
Assignee: hanzes
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2010-03-31 14:08 UTC by Lassi Nieminen
Modified: 2011-02-28 13:59 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
testdata to be opened in kword (24.00 KB, application/msword)
2010-03-31 14:08 UTC, Lassi Nieminen
Details
screenshot of the document in kword (160.82 KB, image/png)
2010-03-31 14:09 UTC, Lassi Nieminen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-05-28 03:30:03 UTC


---- Reported by lassi.ta.nieminen@nokia.com 2010-03-31 15:08:44 +0300 ----

Created an attachment
testdata to be opened in kword

SOFTWARE VERSION:
  Kubuntu 9.10
  Koffice (svn version  1108534)
  svn://websvn.kde.org/home/kde/branches/work/koffice-ko
  Test document (MSOffice 2000 ): mw00_hyperlink_picture.doc

STEPS LEADING TO THE PROBLEM:
  1. Open the attached document MSOffice 2000
  2. Open the same document in KOffice.
  3. Observe the image set as hyperlink in the document.

EXPECTED OUTCOME:
   Kword should be able to launch the hyperlink on clicking
   the picture in the document.
   see attachment mw03_pic_hyperlink_msword.PNG

ACTUAL OUTCOME:
   Kword is unable to launch the hyperlink on clicking the
   picture in the document. Picture and the hyperlink are shown 
   separately. Hyperlink is shown as plain text.
   see attachment mw03_pic_hyperlink_kword.png

FREQUENCY:
  Always



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-03-31 15:09:15 +0300 ----

Created an attachment
screenshot of the document in kword



--- Bug imported by faure@kde.org 2010-05-28 03:30  ---

This bug was previously known as _bug_ 162881.

Imported an attachment (id=47067)
Imported an attachment (id=47068)

Unknown bug field "example" encountered while moving bug
   <example>2010-03-31 15:09:15</example>

Comment 1 Matus Uzak 2010-10-09 22:15:58 UTC
Revision: 1159086

mswordodf filter: Added support for hyperlinks having a field result referring to a floating or inline picture.

Support for a picture as hyperlink in kword is on the review board:
http://reviewboard.kde.org/r/5071/
Comment 2 Matus Uzak 2011-01-08 02:56:07 UTC
Already on review board for a few months.  Let's not forget about it. 

http://reviewboard.kde.org/r/5071/
Comment 3 Sebastian Sauer 2011-01-10 22:22:01 UTC
Finally fixed with 862c9f1f5524fd439c12c58b2665b3d46f8a7b0e
Comment 4 swathi 2011-02-28 13:59:50 UTC
Verified in git commit 604c1940e690f2d163db9083abf7fb58e3f4b1fe.